Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] Get wizard chart
        • Delete wizard chart
        • 🚧 [Experimental] Update wizard chart
        • 🚧 [Experimental] Create wizard chart
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • EntryAnnotationArg
  • EntryUpdateMode
  • WizardV1FiltersItemSchema
  • WizardFieldSchema
  • WizardV1LineShapeSettingsSchema
  • WizardLabelsItemSchema
  • WizardPseudoFieldSchema
  • WizardSortItemSchema
  • WizardV1GeolayerLayerSchema
  • WizardV1CombinedChartLayerSchema
  • WizardV1ConfigSchema
  • Responses
  • 200 OK
  • Body
  • WizardV1
  1. DataLens Public API
  2. DataLens API
  3. Wizard
  4. 🚧 [Experimental] Update wizard chart
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • EntryAnnotationArg
    • EntryUpdateMode
    • WizardV1FiltersItemSchema
    • WizardFieldSchema
    • WizardV1LineShapeSettingsSchema
    • WizardLabelsItemSchema
    • WizardPseudoFieldSchema
    • WizardSortItemSchema
    • WizardV1GeolayerLayerSchema
    • WizardV1CombinedChartLayerSchema
    • WizardV1ConfigSchema
  • Responses
  • 200 OK
    • Body
    • WizardV1

🚧 [Experimental] Update wizard chart

Updates the specified wizard chart.

RequestRequest

POST

https://api.datalens.tech/rpc/updateWizardChart

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "chartId": "example",
  "annotation": {
    "description": "example"
  },
  "mode": "save",
  "revId": "example",
  "data": {
    "sources": {
      "datasetsIds": [
        "example"
      ],
      "updates": [
        {
          "action": "add_field",
          "field": {},
          "debug_info": "example"
        }
      ],
      "links": [
        {
          "id": "example",
          "fields": {}
        }
      ],
      "hierarchies": [
        {
          "guid": "example",
          "title": "example",
          "fields": [
            null
          ]
        }
      ],
      "filters": [
        {
          "guid": "example",
          "datasetId": "example",
          "fakeTitle": "example",
          "filter": {}
        }
      ]
    },
    "visualization": {
      "type": "line",
      "chartSettings": {
        "title": "example",
        "titleMode": "show",
        "legendMode": "show",
        "tooltip": "show",
        "tooltipSum": "on",
        "feed": "example",
        "navigatorSettings": {}
      },
      "x": {
        "items": [
          null
        ],
        "settings": {}
      },
      "y": {
        "items": [
          null
        ],
        "settings": {}
      },
      "y2": {
        "items": [
          null
        ],
        "settings": {}
      },
      "colors": {
        "items": [
          null
        ],
        "settings": {}
      },
      "shapes": {
        "items": [
          null
        ],
        "settings": {}
      },
      "labels": {
        "items": [
          null
        ],
        "settings": {}
      },
      "sort": {
        "items": [
          null
        ]
      },
      "segments": {
        "items": [
          null
        ]
      }
    }
  }
}

Name

Description

chartId

Type: string

Example: example

data

Type: WizardV1ConfigSchema

Example
{
  "sources": {
    "datasetsIds": [
      "example"
    ],
    "updates": [
      {
        "action": "add_field",
        "field": {
          "guid": "example",
          "datasetId": "example",
          "title": "example",
          "type": "DIMENSION",
          "calc_mode": "formula",
          "formula": "example",
          "aggregation": "example",
          "cast": "example",
          "source": "example",
          "data_type": "date",
          "aggregation_locked": true,
          "autoaggregated": true,
          "grouping": "example",
          "fakeTitle": "example",
          "originalTitle": "example",
          "avatar_id": "example",
          "local": true,
          "quickFormula": true,
          "originalFormula": "example",
          "originalSource": "example",
          "originalDateCast": null,
          "format": "example",
          "default_value": null
        },
        "debug_info": "example"
      }
    ],
    "links": [
      {
        "id": "example",
        "fields": {}
      }
    ],
    "hierarchies": [
      {
        "guid": "example",
        "title": "example",
        "fields": [
          {}
        ]
      }
    ],
    "filters": [
      {
        "guid": "example",
        "datasetId": "example",
        "fakeTitle": "example",
        "filter": {
          "operation": {},
          "value": null
        }
      }
    ]
  },
  "visualization": {
    "type": "line",
    "chartSettings": {
      "title": "example",
      "titleMode": "show",
      "legendMode": "show",
      "tooltip": "show",
      "tooltipSum": "on",
      "feed": "example",
      "navigatorSettings": {
        "navigatorMode": "show",
        "selectedLines": [
          null
        ],
        "linesMode": "all",
        "periodSettings": {}
      }
    },
    "x": {
      "items": [
        null
      ],
      "settings": {
        "title": "auto",
        "titleValue": "example",
        "type": "linear",
        "grid": "on",
        "gridStep": "auto",
        "gridStepValue": 0.5,
        "hideLabels": "yes",
        "labelsView": "auto",
        "axisLabelFormatting": {},
        "axisLabelDateFormat": "example",
        "axisFormatMode": "auto",
        "axisVisibility": "show",
        "holidays": "on",
        "axisModeMap": {}
      }
    },
    "y": {
      "items": [
        null
      ],
      "settings": {
        "title": "auto",
        "titleValue": "example",
        "type": "linear",
        "grid": "on",
        "gridStep": "auto",
        "gridStepValue": 0.5,
        "hideLabels": "yes",
        "labelsView": "auto",
        "axisLabelFormatting": {},
        "axisLabelDateFormat": "example",
        "axisFormatMode": "auto",
        "axisVisibility": "show",
        "scale": "auto",
        "scaleValue": null,
        "nulls": "ignore"
      }
    },
    "y2": {
      "items": [
        null
      ],
      "settings": {
        "title": "auto",
        "titleValue": "example",
        "type": "linear",
        "grid": "on",
        "gridStep": "auto",
        "gridStepValue": 0.5,
        "hideLabels": "yes",
        "labelsView": "auto",
        "axisLabelFormatting": {},
        "axisLabelDateFormat": "example",
        "axisFormatMode": "auto",
        "axisVisibility": "show",
        "scale": "auto",
        "scaleValue": null,
        "nulls": "ignore"
      }
    },
    "colors": {
      "items": [
        null
      ],
      "settings": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "polygonBorders": "show",
        "reversed": true,
        "fieldGuid": "example",
        "mountedColors": {},
        "coloredByMeasure": true,
        "palette": "example",
        "colorMode": "palette",
        "nullMode": "ignore"
      }
    },
    "shapes": {
      "items": [
        null
      ],
      "settings": {
        "fieldGuid": "example",
        "mountedShapes": {},
        "lineSettings": {},
        "commonLineSettings": {}
      }
    },
    "labels": {
      "items": [
        null
      ],
      "settings": {
        "overlap": "on"
      }
    },
    "sort": {
      "items": [
        null
      ]
    },
    "segments": {
      "items": [
        null
      ]
    }
  }
}

mode

Type: EntryUpdateMode

Entry update mode.

Enum: save, publish

annotation

Type: EntryAnnotationArg

Example
{
  "description": "example"
}

revId

Type: string

Example: example

EntryAnnotationArgEntryAnnotationArg

Name

Description

description

Type: string

Description of the entry.

Example: example

Example
{
  "description": "example"
}

EntryUpdateModeEntryUpdateMode

Entry update mode.

Type: string

Enum: save, publish

WizardV1FiltersItemSchemaWizardV1FiltersItemSchema

Name

Description

datasetId

Type: string

Identifier of the dataset containing the field.

Example: example

filter

Type: object

operation

Type: object

code

Type: string

Filter operation code.

Example: example

Operation used to compare field values.

Example
{
  "code": "example"
}

value

Any of 2 types
  • Type: string

    Example: example

  • Type: string[]

    Example
    [
      "example"
    ]
    

Value or values used by the filter operation.

Example: example

Filter applied to the field.

Example
{
  "operation": {
    "code": "example"
  },
  "value": "example"
}

guid

Type: string

Identifier of the field used for filtering.

Example: example

fakeTitle

Type: string

Chart-local display title override for the field.

Example: example

Example
{
  "guid": "example",
  "datasetId": "example",
  "fakeTitle": "example",
  "filter": {
    "operation": {
      "code": "example"
    },
    "value": "example"
  }
}

WizardFieldSchemaWizardFieldSchema

Any of 4 types
  • Type: object

    data_type

    Type: string

    Data type identifying this field as a hierarchy.

    Const: hierarchy

    Example: example

    fields

    Type: object[]

    datasetId

    Type: string

    Identifier of the dataset containing the field.

    Example: example

    guid

    Type: string

    Field identifier.

    Example: example

    backgroundSettings

    Type: object

    colorFieldGuid

    Type: string

    Identifier of the field used to color the background.

    Example: example

    enabled

    Type: boolean

    Whether conditional background coloring is enabled.

    settings

    Type: object

    gradientState

    Type: object

    gradientMode

    Type: string

    Gradient type.

    Enum: 2-point, 3-point

    gradientPalette

    Type: string

    Gradient palette identifier.

    Example: example

    leftThreshold

    Type: string

    Lower gradient threshold.

    Example: example

    middleThreshold

    Type: string

    Middle gradient threshold.

    Example: example

    nullMode

    Type: string

    How null values are colored.

    Enum: ignore, as-0

    reversed

    Type: boolean

    Whether to reverse the gradient palette.

    rightThreshold

    Type: string

    Upper gradient threshold.

    Example: example

    thresholdsMode

    Type: string

    Mode used to calculate gradient thresholds.

    Enum: auto, manual

    Continuous gradient settings.

    Example
    {
      "thresholdsMode": "auto",
      "leftThreshold": "example",
      "middleThreshold": "example",
      "rightThreshold": "example",
      "gradientPalette": "example",
      "gradientMode": "2-point",
      "reversed": true,
      "nullMode": "ignore"
    }
    

    isContinuous

    Type: boolean

    Whether to use continuous instead of discrete coloring.

    paletteState

    Type: object

    mountedColors

    Type: object

    [additional]

    Type: string

    Example: example

    Mapping of field values to colors.

    Example
    {}
    

    palette

    Type: string

    Color palette identifier.

    Example: example

    Discrete palette settings.

    Example
    {
      "mountedColors": {},
      "palette": "example"
    }
    

    Background color configuration.

    Example
    {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
    

    settingsId

    Type: string

    Identifier of the background color settings.

    Example: example

    Conditional background settings.

    Example
    {
      "enabled": true,
      "colorFieldGuid": "example",
      "settingsId": "example",
      "settings": {
        "paletteState": {
          "mountedColors": {},
          "palette": "example"
        },
        "gradientState": {
          "thresholdsMode": "auto",
          "leftThreshold": "example",
          "middleThreshold": "example",
          "rightThreshold": "example",
          "gradientPalette": "example",
          "gradientMode": "2-point",
          "reversed": true,
          "nullMode": "ignore"
        },
        "isContinuous": true
      }
    }
    

    barsSettings

    Type: object

    align

    Type: string

    Bar alignment within table cells.

    Enum: left, right, default

    colorSettings

    One of 3 types
    • Type: object

      colorType

      Type: string

      Use a gradient to color bars.

      Const: gradient

      Example: example

      settings

      Type: object

      gradientType

      Type: string

      Gradient type.

      Enum: 2-point, 3-point

      thresholds

      One of 2 types
      • Type: object

        mode

        Type: string

        Calculate gradient thresholds automatically.

        Const: auto

        Example: example

        Example
        {
          "mode": "auto"
        }
        
      • Type: object

        max

        Type: string

        Upper gradient threshold.

        Example: example

        min

        Type: string

        Lower gradient threshold.

        Example: example

        mode

        Type: string

        Use manually specified gradient thresholds.

        Const: manual

        Example: example

        mid

        Type: string

        Middle gradient threshold.

        Example: example

        Example
        {
          "mode": "manual",
          "min": "example",
          "mid": "example",
          "max": "example"
        }
        

      Thresholds that define the gradient color scale.

      Example
      {
        "mode": "auto"
      }
      

      palette

      Type: string

      Color palette identifier.

      Example: example

      reversed

      Type: boolean

      Whether to reverse the color palette.

      Gradient bar color settings.

      Example
      {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
      
      Example
      {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {
            "mode": "auto"
          },
          "palette": "example",
          "reversed": true
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use one color for all bars.

      Const: one-color

      Example: example

      settings

      Type: object

      color

      Type: string

      Custom bar color.

      Example: example

      colorIndex

      Type: number

      Selected color index in the palette.

      palette

      Type: string

      Color palette identifier.

      Example: example

      Single-color bar settings.

      Example
      {
        "palette": "example",
        "colorIndex": 0.5,
        "color": "example"
      }
      
      Example
      {
        "colorType": "one-color",
        "settings": {
          "palette": "example",
          "colorIndex": 0.5,
          "color": "example"
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use separate colors for negative and positive bars.

      Const: two-color

      Example: example

      settings

      Type: object

      negativeColor

      Type: string

      Custom color for negative values.

      Example: example

      negativeColorIndex

      Type: number

      Palette color index for negative values.

      palette

      Type: string

      Color palette identifier.

      Example: example

      positiveColor

      Type: string

      Custom color for positive values.

      Example: example

      positiveColorIndex

      Type: number

      Palette color index for positive values.

      Two-color bar settings.

      Example
      {
        "palette": "example",
        "negativeColorIndex": 0.5,
        "negativeColor": "example",
        "positiveColorIndex": 0.5,
        "positiveColor": "example"
      }
      
      Example
      {
        "colorType": "two-color",
        "settings": {
          "palette": "example",
          "negativeColorIndex": 0.5,
          "negativeColor": "example",
          "positiveColorIndex": 0.5,
          "positiveColor": "example"
        }
      }
      

    Bar color settings.

    Example
    {
      "colorType": "gradient",
      "settings": {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
    }
    

    enabled

    Type: boolean

    Whether to display bars in table cells.

    scale

    One of 2 types
    • Type: object

      mode

      Type: string

      Calculate the bar scale automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Use a manually specified bar scale.

      Const: manual

      Example: example

      settings

      Type: object

      max

      Type: string

      Manual maximum scale value.

      Example: example

      min

      Type: string

      Manual minimum scale value.

      Example: example

      Manual bar scale boundaries.

      Example
      {
        "min": "example",
        "max": "example"
      }
      
      Example
      {
        "mode": "manual",
        "settings": {
          "min": "example",
          "max": "example"
        }
      }
      

    Scale used to calculate bar lengths.

    Example
    {
      "mode": "auto"
    }
    

    showBarsInTotals

    Type: boolean

    Whether to display bars in total rows.

    showLabels

    Type: boolean

    Whether to display values over bars.

    In-cell bar settings.

    Example
    {
      "enabled": true,
      "colorSettings": {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {},
          "palette": "example",
          "reversed": true
        }
      },
      "showLabels": true,
      "align": "left",
      "scale": {
        "mode": "auto"
      },
      "showBarsInTotals": true
    }
    

    columnSettings

    Type: object

    width

    One of 3 types
    • Type: object

      mode

      Type: string

      Calculate the column width automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width as a percentage.

      Const: percent

      Example: example

      value

      Type: string

      Column width percentage.

      Example: example

      Example
      {
        "mode": "percent",
        "value": "example"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width in pixels.

      Const: pixel

      Example: example

      value

      Type: string

      Column width in pixels.

      Example: example

      Example
      {
        "mode": "pixel",
        "value": "example"
      }
      

    Table column width settings.

    Example
    {
      "mode": "auto"
    }
    

    horizontalAlignment

    Type: string

    Horizontal alignment of values in the column.

    Enum: auto, start, center, end

    Table column settings.

    Example
    {
      "width": {
        "mode": "auto"
      },
      "horizontalAlignment": "auto"
    }
    

    fakeTitle

    Type: string

    Chart-local display title override for the field.

    Example: example

    format

    Type: string

    Date or datetime format, separate from numeric formatting.

    Example: example

    formatting

    Type: object

    format

    Type: string

    Number formatting mode.

    Enum: number, percent

    labelMode

    Type: string

    How the formatted label is displayed.

    Enum: absolute, percent

    postfix

    Type: string

    Text displayed after the formatted value.

    Example: example

    precision

    Type: number

    Number of decimal places to display.

    prefix

    Type: string

    Text displayed before the formatted value.

    Example: example

    showRankDelimiter

    Type: boolean

    Whether to separate digit groups in numbers.

    unit

    Type: string

    Unit used to scale the numeric value.

    Enum: auto, k, m, b, t

    Numeric formatting settings for the field.

    Example
    {
      "format": "number",
      "showRankDelimiter": true,
      "prefix": "example",
      "postfix": "example",
      "unit": "auto",
      "precision": 0.5,
      "labelMode": "absolute"
    }
    

    hideLabelMode

    Type: string

    Whether to hide the field label.

    Enum: show, hide

    hintSettings

    Type: object

    enabled

    Type: boolean

    Whether the field hint is enabled.

    text

    Type: string

    Hint text displayed for the field.

    Example: example

    Field hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    markupType

    Type: string

    Markup type used to render field values.

    Enum: none, md, html

    subTotalsSettings

    Type: object

    enabled

    Type: boolean

    Whether to display subtotals for the field.

    Subtotal settings.

    Example
    {
      "enabled": true
    }
    

    Fields included in the hierarchy.

    Example
    [
      {
        "fakeTitle": "example",
        "markupType": "none",
        "formatting": {
          "format": "number",
          "showRankDelimiter": true,
          "prefix": "example",
          "postfix": "example",
          "unit": "auto",
          "precision": 0.5,
          "labelMode": "absolute"
        },
        "format": "example",
        "hideLabelMode": "show",
        "barsSettings": {
          "enabled": true,
          "colorSettings": {
            "colorType": "gradient",
            "settings": {}
          },
          "showLabels": true,
          "align": "left",
          "scale": {
            "mode": "auto"
          },
          "showBarsInTotals": true
        },
        "subTotalsSettings": {
          "enabled": true
        },
        "backgroundSettings": {
          "enabled": true,
          "colorFieldGuid": "example",
          "settingsId": "example",
          "settings": {
            "paletteState": {
              "mountedColors": {},
              "palette": "example"
            },
            "gradientState": {
              "thresholdsMode": "auto",
              "leftThreshold": "example",
              "middleThreshold": "example",
              "rightThreshold": "example",
              "gradientPalette": "example",
              "gradientMode": "2-point",
              "reversed": true,
              "nullMode": "ignore"
            },
            "isContinuous": true
          }
        },
        "columnSettings": {
          "width": {
            "mode": "auto"
          },
          "horizontalAlignment": "auto"
        },
        "hintSettings": {
          "enabled": true,
          "text": "example"
        },
        "guid": "example",
        "datasetId": "example"
      }
    ]
    

    guid

    Type: string

    Hierarchy identifier.

    Example: example

    title

    Type: string

    Hierarchy display title.

    Example: example

    backgroundSettings

    Type: object

    colorFieldGuid

    Type: string

    Identifier of the field used to color the background.

    Example: example

    enabled

    Type: boolean

    Whether conditional background coloring is enabled.

    settings

    Type: object

    gradientState

    Type: object

    gradientMode

    Type: string

    Gradient type.

    Enum: 2-point, 3-point

    gradientPalette

    Type: string

    Gradient palette identifier.

    Example: example

    leftThreshold

    Type: string

    Lower gradient threshold.

    Example: example

    middleThreshold

    Type: string

    Middle gradient threshold.

    Example: example

    nullMode

    Type: string

    How null values are colored.

    Enum: ignore, as-0

    reversed

    Type: boolean

    Whether to reverse the gradient palette.

    rightThreshold

    Type: string

    Upper gradient threshold.

    Example: example

    thresholdsMode

    Type: string

    Mode used to calculate gradient thresholds.

    Enum: auto, manual

    Continuous gradient settings.

    Example
    {
      "thresholdsMode": "auto",
      "leftThreshold": "example",
      "middleThreshold": "example",
      "rightThreshold": "example",
      "gradientPalette": "example",
      "gradientMode": "2-point",
      "reversed": true,
      "nullMode": "ignore"
    }
    

    isContinuous

    Type: boolean

    Whether to use continuous instead of discrete coloring.

    paletteState

    Type: object

    mountedColors

    Type: object

    [additional]

    Type: string

    Example: example

    Mapping of field values to colors.

    Example
    {}
    

    palette

    Type: string

    Color palette identifier.

    Example: example

    Discrete palette settings.

    Example
    {
      "mountedColors": {},
      "palette": "example"
    }
    

    Background color configuration.

    Example
    {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
    

    settingsId

    Type: string

    Identifier of the background color settings.

    Example: example

    Conditional background settings.

    Example
    {
      "enabled": true,
      "colorFieldGuid": "example",
      "settingsId": "example",
      "settings": {
        "paletteState": {
          "mountedColors": {},
          "palette": "example"
        },
        "gradientState": {
          "thresholdsMode": "auto",
          "leftThreshold": "example",
          "middleThreshold": "example",
          "rightThreshold": "example",
          "gradientPalette": "example",
          "gradientMode": "2-point",
          "reversed": true,
          "nullMode": "ignore"
        },
        "isContinuous": true
      }
    }
    

    barsSettings

    Type: object

    align

    Type: string

    Bar alignment within table cells.

    Enum: left, right, default

    colorSettings

    One of 3 types
    • Type: object

      colorType

      Type: string

      Use a gradient to color bars.

      Const: gradient

      Example: example

      settings

      Type: object

      gradientType

      Type: string

      Gradient type.

      Enum: 2-point, 3-point

      thresholds

      One of 2 types
      • Type: object

        mode

        Type: string

        Calculate gradient thresholds automatically.

        Const: auto

        Example: example

        Example
        {
          "mode": "auto"
        }
        
      • Type: object

        max

        Type: string

        Upper gradient threshold.

        Example: example

        min

        Type: string

        Lower gradient threshold.

        Example: example

        mode

        Type: string

        Use manually specified gradient thresholds.

        Const: manual

        Example: example

        mid

        Type: string

        Middle gradient threshold.

        Example: example

        Example
        {
          "mode": "manual",
          "min": "example",
          "mid": "example",
          "max": "example"
        }
        

      Thresholds that define the gradient color scale.

      Example
      {
        "mode": "auto"
      }
      

      palette

      Type: string

      Color palette identifier.

      Example: example

      reversed

      Type: boolean

      Whether to reverse the color palette.

      Gradient bar color settings.

      Example
      {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
      
      Example
      {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {
            "mode": "auto"
          },
          "palette": "example",
          "reversed": true
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use one color for all bars.

      Const: one-color

      Example: example

      settings

      Type: object

      color

      Type: string

      Custom bar color.

      Example: example

      colorIndex

      Type: number

      Selected color index in the palette.

      palette

      Type: string

      Color palette identifier.

      Example: example

      Single-color bar settings.

      Example
      {
        "palette": "example",
        "colorIndex": 0.5,
        "color": "example"
      }
      
      Example
      {
        "colorType": "one-color",
        "settings": {
          "palette": "example",
          "colorIndex": 0.5,
          "color": "example"
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use separate colors for negative and positive bars.

      Const: two-color

      Example: example

      settings

      Type: object

      negativeColor

      Type: string

      Custom color for negative values.

      Example: example

      negativeColorIndex

      Type: number

      Palette color index for negative values.

      palette

      Type: string

      Color palette identifier.

      Example: example

      positiveColor

      Type: string

      Custom color for positive values.

      Example: example

      positiveColorIndex

      Type: number

      Palette color index for positive values.

      Two-color bar settings.

      Example
      {
        "palette": "example",
        "negativeColorIndex": 0.5,
        "negativeColor": "example",
        "positiveColorIndex": 0.5,
        "positiveColor": "example"
      }
      
      Example
      {
        "colorType": "two-color",
        "settings": {
          "palette": "example",
          "negativeColorIndex": 0.5,
          "negativeColor": "example",
          "positiveColorIndex": 0.5,
          "positiveColor": "example"
        }
      }
      

    Bar color settings.

    Example
    {
      "colorType": "gradient",
      "settings": {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
    }
    

    enabled

    Type: boolean

    Whether to display bars in table cells.

    scale

    One of 2 types
    • Type: object

      mode

      Type: string

      Calculate the bar scale automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Use a manually specified bar scale.

      Const: manual

      Example: example

      settings

      Type: object

      max

      Type: string

      Manual maximum scale value.

      Example: example

      min

      Type: string

      Manual minimum scale value.

      Example: example

      Manual bar scale boundaries.

      Example
      {
        "min": "example",
        "max": "example"
      }
      
      Example
      {
        "mode": "manual",
        "settings": {
          "min": "example",
          "max": "example"
        }
      }
      

    Scale used to calculate bar lengths.

    Example
    {
      "mode": "auto"
    }
    

    showBarsInTotals

    Type: boolean

    Whether to display bars in total rows.

    showLabels

    Type: boolean

    Whether to display values over bars.

    In-cell bar settings.

    Example
    {
      "enabled": true,
      "colorSettings": {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {},
          "palette": "example",
          "reversed": true
        }
      },
      "showLabels": true,
      "align": "left",
      "scale": {
        "mode": "auto"
      },
      "showBarsInTotals": true
    }
    

    columnSettings

    Type: object

    width

    One of 3 types
    • Type: object

      mode

      Type: string

      Calculate the column width automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width as a percentage.

      Const: percent

      Example: example

      value

      Type: string

      Column width percentage.

      Example: example

      Example
      {
        "mode": "percent",
        "value": "example"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width in pixels.

      Const: pixel

      Example: example

      value

      Type: string

      Column width in pixels.

      Example: example

      Example
      {
        "mode": "pixel",
        "value": "example"
      }
      

    Table column width settings.

    Example
    {
      "mode": "auto"
    }
    

    horizontalAlignment

    Type: string

    Horizontal alignment of values in the column.

    Enum: auto, start, center, end

    Table column settings.

    Example
    {
      "width": {
        "mode": "auto"
      },
      "horizontalAlignment": "auto"
    }
    

    fakeTitle

    Type: string

    Chart-local display title override for the field.

    Example: example

    format

    Type: string

    Date or datetime format, separate from numeric formatting.

    Example: example

    formatting

    Type: object

    format

    Type: string

    Number formatting mode.

    Enum: number, percent

    labelMode

    Type: string

    How the formatted label is displayed.

    Enum: absolute, percent

    postfix

    Type: string

    Text displayed after the formatted value.

    Example: example

    precision

    Type: number

    Number of decimal places to display.

    prefix

    Type: string

    Text displayed before the formatted value.

    Example: example

    showRankDelimiter

    Type: boolean

    Whether to separate digit groups in numbers.

    unit

    Type: string

    Unit used to scale the numeric value.

    Enum: auto, k, m, b, t

    Numeric formatting settings for the field.

    Example
    {
      "format": "number",
      "showRankDelimiter": true,
      "prefix": "example",
      "postfix": "example",
      "unit": "auto",
      "precision": 0.5,
      "labelMode": "absolute"
    }
    

    hideLabelMode

    Type: string

    Whether to hide the field label.

    Enum: show, hide

    hintSettings

    Type: object

    enabled

    Type: boolean

    Whether the field hint is enabled.

    text

    Type: string

    Hint text displayed for the field.

    Example: example

    Field hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    markupType

    Type: string

    Markup type used to render field values.

    Enum: none, md, html

    subTotalsSettings

    Type: object

    enabled

    Type: boolean

    Whether to display subtotals for the field.

    Subtotal settings.

    Example
    {
      "enabled": true
    }
    
    Example
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {
        "format": "number",
        "showRankDelimiter": true,
        "prefix": "example",
        "postfix": "example",
        "unit": "auto",
        "precision": 0.5,
        "labelMode": "absolute"
      },
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {
        "enabled": true,
        "colorSettings": {
          "colorType": "gradient",
          "settings": {
            "gradientType": "2-point",
            "thresholds": null,
            "palette": "example",
            "reversed": true
          }
        },
        "showLabels": true,
        "align": "left",
        "scale": {
          "mode": "auto"
        },
        "showBarsInTotals": true
      },
      "subTotalsSettings": {
        "enabled": true
      },
      "backgroundSettings": {
        "enabled": true,
        "colorFieldGuid": "example",
        "settingsId": "example",
        "settings": {
          "paletteState": {
            "mountedColors": {},
            "palette": "example"
          },
          "gradientState": {
            "thresholdsMode": "auto",
            "leftThreshold": "example",
            "middleThreshold": "example",
            "rightThreshold": "example",
            "gradientPalette": "example",
            "gradientMode": "2-point",
            "reversed": true,
            "nullMode": "ignore"
          },
          "isContinuous": true
        }
      },
      "columnSettings": {
        "width": {
          "mode": "auto"
        },
        "horizontalAlignment": "auto"
      },
      "hintSettings": {
        "enabled": true,
        "text": "example"
      },
      "guid": "example",
      "title": "example",
      "data_type": "hierarchy",
      "fields": [
        {
          "fakeTitle": "example",
          "markupType": "none",
          "formatting": {
            "format": "number",
            "showRankDelimiter": true,
            "prefix": "example",
            "postfix": "example",
            "unit": "auto",
            "precision": 0.5,
            "labelMode": "absolute"
          },
          "format": "example",
          "hideLabelMode": "show",
          "barsSettings": {
            "enabled": true,
            "colorSettings": {},
            "showLabels": true,
            "align": "left",
            "scale": {},
            "showBarsInTotals": true
          },
          "subTotalsSettings": {
            "enabled": true
          },
          "backgroundSettings": {
            "enabled": true,
            "colorFieldGuid": "example",
            "settingsId": "example",
            "settings": {
              "paletteState": {},
              "gradientState": {},
              "isContinuous": true
            }
          },
          "columnSettings": {
            "width": {},
            "horizontalAlignment": "auto"
          },
          "hintSettings": {
            "enabled": true,
            "text": "example"
          },
          "guid": "example",
          "datasetId": "example"
        }
      ]
    }
    
  • Type: object

    datasetId

    Type: string

    Identifier of the dataset containing the field.

    Example: example

    guid

    Type: string

    Field identifier.

    Example: example

    backgroundSettings

    Type: object

    colorFieldGuid

    Type: string

    Identifier of the field used to color the background.

    Example: example

    enabled

    Type: boolean

    Whether conditional background coloring is enabled.

    settings

    Type: object

    gradientState

    Type: object

    gradientMode

    Type: string

    Gradient type.

    Enum: 2-point, 3-point

    gradientPalette

    Type: string

    Gradient palette identifier.

    Example: example

    leftThreshold

    Type: string

    Lower gradient threshold.

    Example: example

    middleThreshold

    Type: string

    Middle gradient threshold.

    Example: example

    nullMode

    Type: string

    How null values are colored.

    Enum: ignore, as-0

    reversed

    Type: boolean

    Whether to reverse the gradient palette.

    rightThreshold

    Type: string

    Upper gradient threshold.

    Example: example

    thresholdsMode

    Type: string

    Mode used to calculate gradient thresholds.

    Enum: auto, manual

    Continuous gradient settings.

    Example
    {
      "thresholdsMode": "auto",
      "leftThreshold": "example",
      "middleThreshold": "example",
      "rightThreshold": "example",
      "gradientPalette": "example",
      "gradientMode": "2-point",
      "reversed": true,
      "nullMode": "ignore"
    }
    

    isContinuous

    Type: boolean

    Whether to use continuous instead of discrete coloring.

    paletteState

    Type: object

    mountedColors

    Type: object

    [additional]

    Type: string

    Example: example

    Mapping of field values to colors.

    Example
    {}
    

    palette

    Type: string

    Color palette identifier.

    Example: example

    Discrete palette settings.

    Example
    {
      "mountedColors": {},
      "palette": "example"
    }
    

    Background color configuration.

    Example
    {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
    

    settingsId

    Type: string

    Identifier of the background color settings.

    Example: example

    Conditional background settings.

    Example
    {
      "enabled": true,
      "colorFieldGuid": "example",
      "settingsId": "example",
      "settings": {
        "paletteState": {
          "mountedColors": {},
          "palette": "example"
        },
        "gradientState": {
          "thresholdsMode": "auto",
          "leftThreshold": "example",
          "middleThreshold": "example",
          "rightThreshold": "example",
          "gradientPalette": "example",
          "gradientMode": "2-point",
          "reversed": true,
          "nullMode": "ignore"
        },
        "isContinuous": true
      }
    }
    

    barsSettings

    Type: object

    align

    Type: string

    Bar alignment within table cells.

    Enum: left, right, default

    colorSettings

    One of 3 types
    • Type: object

      colorType

      Type: string

      Use a gradient to color bars.

      Const: gradient

      Example: example

      settings

      Type: object

      gradientType

      Type: string

      Gradient type.

      Enum: 2-point, 3-point

      thresholds

      One of 2 types
      • Type: object

        mode

        Type: string

        Calculate gradient thresholds automatically.

        Const: auto

        Example: example

        Example
        {
          "mode": "auto"
        }
        
      • Type: object

        max

        Type: string

        Upper gradient threshold.

        Example: example

        min

        Type: string

        Lower gradient threshold.

        Example: example

        mode

        Type: string

        Use manually specified gradient thresholds.

        Const: manual

        Example: example

        mid

        Type: string

        Middle gradient threshold.

        Example: example

        Example
        {
          "mode": "manual",
          "min": "example",
          "mid": "example",
          "max": "example"
        }
        

      Thresholds that define the gradient color scale.

      Example
      {
        "mode": "auto"
      }
      

      palette

      Type: string

      Color palette identifier.

      Example: example

      reversed

      Type: boolean

      Whether to reverse the color palette.

      Gradient bar color settings.

      Example
      {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
      
      Example
      {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {
            "mode": "auto"
          },
          "palette": "example",
          "reversed": true
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use one color for all bars.

      Const: one-color

      Example: example

      settings

      Type: object

      color

      Type: string

      Custom bar color.

      Example: example

      colorIndex

      Type: number

      Selected color index in the palette.

      palette

      Type: string

      Color palette identifier.

      Example: example

      Single-color bar settings.

      Example
      {
        "palette": "example",
        "colorIndex": 0.5,
        "color": "example"
      }
      
      Example
      {
        "colorType": "one-color",
        "settings": {
          "palette": "example",
          "colorIndex": 0.5,
          "color": "example"
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use separate colors for negative and positive bars.

      Const: two-color

      Example: example

      settings

      Type: object

      negativeColor

      Type: string

      Custom color for negative values.

      Example: example

      negativeColorIndex

      Type: number

      Palette color index for negative values.

      palette

      Type: string

      Color palette identifier.

      Example: example

      positiveColor

      Type: string

      Custom color for positive values.

      Example: example

      positiveColorIndex

      Type: number

      Palette color index for positive values.

      Two-color bar settings.

      Example
      {
        "palette": "example",
        "negativeColorIndex": 0.5,
        "negativeColor": "example",
        "positiveColorIndex": 0.5,
        "positiveColor": "example"
      }
      
      Example
      {
        "colorType": "two-color",
        "settings": {
          "palette": "example",
          "negativeColorIndex": 0.5,
          "negativeColor": "example",
          "positiveColorIndex": 0.5,
          "positiveColor": "example"
        }
      }
      

    Bar color settings.

    Example
    {
      "colorType": "gradient",
      "settings": {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
    }
    

    enabled

    Type: boolean

    Whether to display bars in table cells.

    scale

    One of 2 types
    • Type: object

      mode

      Type: string

      Calculate the bar scale automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Use a manually specified bar scale.

      Const: manual

      Example: example

      settings

      Type: object

      max

      Type: string

      Manual maximum scale value.

      Example: example

      min

      Type: string

      Manual minimum scale value.

      Example: example

      Manual bar scale boundaries.

      Example
      {
        "min": "example",
        "max": "example"
      }
      
      Example
      {
        "mode": "manual",
        "settings": {
          "min": "example",
          "max": "example"
        }
      }
      

    Scale used to calculate bar lengths.

    Example
    {
      "mode": "auto"
    }
    

    showBarsInTotals

    Type: boolean

    Whether to display bars in total rows.

    showLabels

    Type: boolean

    Whether to display values over bars.

    In-cell bar settings.

    Example
    {
      "enabled": true,
      "colorSettings": {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {},
          "palette": "example",
          "reversed": true
        }
      },
      "showLabels": true,
      "align": "left",
      "scale": {
        "mode": "auto"
      },
      "showBarsInTotals": true
    }
    

    columnSettings

    Type: object

    width

    One of 3 types
    • Type: object

      mode

      Type: string

      Calculate the column width automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width as a percentage.

      Const: percent

      Example: example

      value

      Type: string

      Column width percentage.

      Example: example

      Example
      {
        "mode": "percent",
        "value": "example"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width in pixels.

      Const: pixel

      Example: example

      value

      Type: string

      Column width in pixels.

      Example: example

      Example
      {
        "mode": "pixel",
        "value": "example"
      }
      

    Table column width settings.

    Example
    {
      "mode": "auto"
    }
    

    horizontalAlignment

    Type: string

    Horizontal alignment of values in the column.

    Enum: auto, start, center, end

    Table column settings.

    Example
    {
      "width": {
        "mode": "auto"
      },
      "horizontalAlignment": "auto"
    }
    

    fakeTitle

    Type: string

    Chart-local display title override for the field.

    Example: example

    format

    Type: string

    Date or datetime format, separate from numeric formatting.

    Example: example

    formatting

    Type: object

    format

    Type: string

    Number formatting mode.

    Enum: number, percent

    labelMode

    Type: string

    How the formatted label is displayed.

    Enum: absolute, percent

    postfix

    Type: string

    Text displayed after the formatted value.

    Example: example

    precision

    Type: number

    Number of decimal places to display.

    prefix

    Type: string

    Text displayed before the formatted value.

    Example: example

    showRankDelimiter

    Type: boolean

    Whether to separate digit groups in numbers.

    unit

    Type: string

    Unit used to scale the numeric value.

    Enum: auto, k, m, b, t

    Numeric formatting settings for the field.

    Example
    {
      "format": "number",
      "showRankDelimiter": true,
      "prefix": "example",
      "postfix": "example",
      "unit": "auto",
      "precision": 0.5,
      "labelMode": "absolute"
    }
    

    hideLabelMode

    Type: string

    Whether to hide the field label.

    Enum: show, hide

    hintSettings

    Type: object

    enabled

    Type: boolean

    Whether the field hint is enabled.

    text

    Type: string

    Hint text displayed for the field.

    Example: example

    Field hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    markupType

    Type: string

    Markup type used to render field values.

    Enum: none, md, html

    subTotalsSettings

    Type: object

    enabled

    Type: boolean

    Whether to display subtotals for the field.

    Subtotal settings.

    Example
    {
      "enabled": true
    }
    
    Example
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {
        "format": "number",
        "showRankDelimiter": true,
        "prefix": "example",
        "postfix": "example",
        "unit": "auto",
        "precision": 0.5,
        "labelMode": "absolute"
      },
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {
        "enabled": true,
        "colorSettings": {
          "colorType": "gradient",
          "settings": {
            "gradientType": "2-point",
            "thresholds": null,
            "palette": "example",
            "reversed": true
          }
        },
        "showLabels": true,
        "align": "left",
        "scale": {
          "mode": "auto"
        },
        "showBarsInTotals": true
      },
      "subTotalsSettings": {
        "enabled": true
      },
      "backgroundSettings": {
        "enabled": true,
        "colorFieldGuid": "example",
        "settingsId": "example",
        "settings": {
          "paletteState": {
            "mountedColors": {},
            "palette": "example"
          },
          "gradientState": {
            "thresholdsMode": "auto",
            "leftThreshold": "example",
            "middleThreshold": "example",
            "rightThreshold": "example",
            "gradientPalette": "example",
            "gradientMode": "2-point",
            "reversed": true,
            "nullMode": "ignore"
          },
          "isContinuous": true
        }
      },
      "columnSettings": {
        "width": {
          "mode": "auto"
        },
        "horizontalAlignment": "auto"
      },
      "hintSettings": {
        "enabled": true,
        "text": "example"
      },
      "guid": "example",
      "datasetId": "example"
    }
    
  • Type: object

    data_type

    Type: string

    String data type of the Measure Names pseudo-field.

    Const: string

    Example: example

    title

    Type: string

    Title identifying the Measure Names pseudo-field.

    Const: Measure Names

    Example: example

    type

    Type: string

    Field type identifying a pseudo-field.

    Const: PSEUDO

    Example: example

    backgroundSettings

    Type: object

    colorFieldGuid

    Type: string

    Identifier of the field used to color the background.

    Example: example

    enabled

    Type: boolean

    Whether conditional background coloring is enabled.

    settings

    Type: object

    gradientState

    Type: object

    gradientMode

    Type: string

    Gradient type.

    Enum: 2-point, 3-point

    gradientPalette

    Type: string

    Gradient palette identifier.

    Example: example

    leftThreshold

    Type: string

    Lower gradient threshold.

    Example: example

    middleThreshold

    Type: string

    Middle gradient threshold.

    Example: example

    nullMode

    Type: string

    How null values are colored.

    Enum: ignore, as-0

    reversed

    Type: boolean

    Whether to reverse the gradient palette.

    rightThreshold

    Type: string

    Upper gradient threshold.

    Example: example

    thresholdsMode

    Type: string

    Mode used to calculate gradient thresholds.

    Enum: auto, manual

    Continuous gradient settings.

    Example
    {
      "thresholdsMode": "auto",
      "leftThreshold": "example",
      "middleThreshold": "example",
      "rightThreshold": "example",
      "gradientPalette": "example",
      "gradientMode": "2-point",
      "reversed": true,
      "nullMode": "ignore"
    }
    

    isContinuous

    Type: boolean

    Whether to use continuous instead of discrete coloring.

    paletteState

    Type: object

    mountedColors

    Type: object

    [additional]

    Type: string

    Example: example

    Mapping of field values to colors.

    Example
    {}
    

    palette

    Type: string

    Color palette identifier.

    Example: example

    Discrete palette settings.

    Example
    {
      "mountedColors": {},
      "palette": "example"
    }
    

    Background color configuration.

    Example
    {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
    

    settingsId

    Type: string

    Identifier of the background color settings.

    Example: example

    Conditional background settings.

    Example
    {
      "enabled": true,
      "colorFieldGuid": "example",
      "settingsId": "example",
      "settings": {
        "paletteState": {
          "mountedColors": {},
          "palette": "example"
        },
        "gradientState": {
          "thresholdsMode": "auto",
          "leftThreshold": "example",
          "middleThreshold": "example",
          "rightThreshold": "example",
          "gradientPalette": "example",
          "gradientMode": "2-point",
          "reversed": true,
          "nullMode": "ignore"
        },
        "isContinuous": true
      }
    }
    

    barsSettings

    Type: object

    align

    Type: string

    Bar alignment within table cells.

    Enum: left, right, default

    colorSettings

    One of 3 types
    • Type: object

      colorType

      Type: string

      Use a gradient to color bars.

      Const: gradient

      Example: example

      settings

      Type: object

      gradientType

      Type: string

      Gradient type.

      Enum: 2-point, 3-point

      thresholds

      One of 2 types
      • Type: object

        mode

        Type: string

        Calculate gradient thresholds automatically.

        Const: auto

        Example: example

        Example
        {
          "mode": "auto"
        }
        
      • Type: object

        max

        Type: string

        Upper gradient threshold.

        Example: example

        min

        Type: string

        Lower gradient threshold.

        Example: example

        mode

        Type: string

        Use manually specified gradient thresholds.

        Const: manual

        Example: example

        mid

        Type: string

        Middle gradient threshold.

        Example: example

        Example
        {
          "mode": "manual",
          "min": "example",
          "mid": "example",
          "max": "example"
        }
        

      Thresholds that define the gradient color scale.

      Example
      {
        "mode": "auto"
      }
      

      palette

      Type: string

      Color palette identifier.

      Example: example

      reversed

      Type: boolean

      Whether to reverse the color palette.

      Gradient bar color settings.

      Example
      {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
      
      Example
      {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {
            "mode": "auto"
          },
          "palette": "example",
          "reversed": true
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use one color for all bars.

      Const: one-color

      Example: example

      settings

      Type: object

      color

      Type: string

      Custom bar color.

      Example: example

      colorIndex

      Type: number

      Selected color index in the palette.

      palette

      Type: string

      Color palette identifier.

      Example: example

      Single-color bar settings.

      Example
      {
        "palette": "example",
        "colorIndex": 0.5,
        "color": "example"
      }
      
      Example
      {
        "colorType": "one-color",
        "settings": {
          "palette": "example",
          "colorIndex": 0.5,
          "color": "example"
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use separate colors for negative and positive bars.

      Const: two-color

      Example: example

      settings

      Type: object

      negativeColor

      Type: string

      Custom color for negative values.

      Example: example

      negativeColorIndex

      Type: number

      Palette color index for negative values.

      palette

      Type: string

      Color palette identifier.

      Example: example

      positiveColor

      Type: string

      Custom color for positive values.

      Example: example

      positiveColorIndex

      Type: number

      Palette color index for positive values.

      Two-color bar settings.

      Example
      {
        "palette": "example",
        "negativeColorIndex": 0.5,
        "negativeColor": "example",
        "positiveColorIndex": 0.5,
        "positiveColor": "example"
      }
      
      Example
      {
        "colorType": "two-color",
        "settings": {
          "palette": "example",
          "negativeColorIndex": 0.5,
          "negativeColor": "example",
          "positiveColorIndex": 0.5,
          "positiveColor": "example"
        }
      }
      

    Bar color settings.

    Example
    {
      "colorType": "gradient",
      "settings": {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
    }
    

    enabled

    Type: boolean

    Whether to display bars in table cells.

    scale

    One of 2 types
    • Type: object

      mode

      Type: string

      Calculate the bar scale automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Use a manually specified bar scale.

      Const: manual

      Example: example

      settings

      Type: object

      max

      Type: string

      Manual maximum scale value.

      Example: example

      min

      Type: string

      Manual minimum scale value.

      Example: example

      Manual bar scale boundaries.

      Example
      {
        "min": "example",
        "max": "example"
      }
      
      Example
      {
        "mode": "manual",
        "settings": {
          "min": "example",
          "max": "example"
        }
      }
      

    Scale used to calculate bar lengths.

    Example
    {
      "mode": "auto"
    }
    

    showBarsInTotals

    Type: boolean

    Whether to display bars in total rows.

    showLabels

    Type: boolean

    Whether to display values over bars.

    In-cell bar settings.

    Example
    {
      "enabled": true,
      "colorSettings": {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {},
          "palette": "example",
          "reversed": true
        }
      },
      "showLabels": true,
      "align": "left",
      "scale": {
        "mode": "auto"
      },
      "showBarsInTotals": true
    }
    

    columnSettings

    Type: object

    width

    One of 3 types
    • Type: object

      mode

      Type: string

      Calculate the column width automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width as a percentage.

      Const: percent

      Example: example

      value

      Type: string

      Column width percentage.

      Example: example

      Example
      {
        "mode": "percent",
        "value": "example"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width in pixels.

      Const: pixel

      Example: example

      value

      Type: string

      Column width in pixels.

      Example: example

      Example
      {
        "mode": "pixel",
        "value": "example"
      }
      

    Table column width settings.

    Example
    {
      "mode": "auto"
    }
    

    horizontalAlignment

    Type: string

    Horizontal alignment of values in the column.

    Enum: auto, start, center, end

    Table column settings.

    Example
    {
      "width": {
        "mode": "auto"
      },
      "horizontalAlignment": "auto"
    }
    

    fakeTitle

    Type: string

    Chart-local display title override for the field.

    Example: example

    format

    Type: string

    Date or datetime format, separate from numeric formatting.

    Example: example

    formatting

    Type: object

    format

    Type: string

    Number formatting mode.

    Enum: number, percent

    labelMode

    Type: string

    How the formatted label is displayed.

    Enum: absolute, percent

    postfix

    Type: string

    Text displayed after the formatted value.

    Example: example

    precision

    Type: number

    Number of decimal places to display.

    prefix

    Type: string

    Text displayed before the formatted value.

    Example: example

    showRankDelimiter

    Type: boolean

    Whether to separate digit groups in numbers.

    unit

    Type: string

    Unit used to scale the numeric value.

    Enum: auto, k, m, b, t

    Numeric formatting settings for the field.

    Example
    {
      "format": "number",
      "showRankDelimiter": true,
      "prefix": "example",
      "postfix": "example",
      "unit": "auto",
      "precision": 0.5,
      "labelMode": "absolute"
    }
    

    hideLabelMode

    Type: string

    Whether to hide the field label.

    Enum: show, hide

    hintSettings

    Type: object

    enabled

    Type: boolean

    Whether the field hint is enabled.

    text

    Type: string

    Hint text displayed for the field.

    Example: example

    Field hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    markupType

    Type: string

    Markup type used to render field values.

    Enum: none, md, html

    subTotalsSettings

    Type: object

    enabled

    Type: boolean

    Whether to display subtotals for the field.

    Subtotal settings.

    Example
    {
      "enabled": true
    }
    
    Example
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {
        "format": "number",
        "showRankDelimiter": true,
        "prefix": "example",
        "postfix": "example",
        "unit": "auto",
        "precision": 0.5,
        "labelMode": "absolute"
      },
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {
        "enabled": true,
        "colorSettings": {
          "colorType": "gradient",
          "settings": {
            "gradientType": "2-point",
            "thresholds": null,
            "palette": "example",
            "reversed": true
          }
        },
        "showLabels": true,
        "align": "left",
        "scale": {
          "mode": "auto"
        },
        "showBarsInTotals": true
      },
      "subTotalsSettings": {
        "enabled": true
      },
      "backgroundSettings": {
        "enabled": true,
        "colorFieldGuid": "example",
        "settingsId": "example",
        "settings": {
          "paletteState": {
            "mountedColors": {},
            "palette": "example"
          },
          "gradientState": {
            "thresholdsMode": "auto",
            "leftThreshold": "example",
            "middleThreshold": "example",
            "rightThreshold": "example",
            "gradientPalette": "example",
            "gradientMode": "2-point",
            "reversed": true,
            "nullMode": "ignore"
          },
          "isContinuous": true
        }
      },
      "columnSettings": {
        "width": {
          "mode": "auto"
        },
        "horizontalAlignment": "auto"
      },
      "hintSettings": {
        "enabled": true,
        "text": "example"
      },
      "title": "Measure Names",
      "type": "PSEUDO",
      "data_type": "string"
    }
    
  • Type: object

    data_type

    Type: string

    Numeric data type of the Measure Values pseudo-field.

    Const: float

    Example: example

    title

    Type: string

    Title identifying the Measure Values pseudo-field.

    Const: Measure Values

    Example: example

    type

    Type: string

    Field type identifying a pseudo-field.

    Const: PSEUDO

    Example: example

    backgroundSettings

    Type: object

    colorFieldGuid

    Type: string

    Identifier of the field used to color the background.

    Example: example

    enabled

    Type: boolean

    Whether conditional background coloring is enabled.

    settings

    Type: object

    gradientState

    Type: object

    gradientMode

    Type: string

    Gradient type.

    Enum: 2-point, 3-point

    gradientPalette

    Type: string

    Gradient palette identifier.

    Example: example

    leftThreshold

    Type: string

    Lower gradient threshold.

    Example: example

    middleThreshold

    Type: string

    Middle gradient threshold.

    Example: example

    nullMode

    Type: string

    How null values are colored.

    Enum: ignore, as-0

    reversed

    Type: boolean

    Whether to reverse the gradient palette.

    rightThreshold

    Type: string

    Upper gradient threshold.

    Example: example

    thresholdsMode

    Type: string

    Mode used to calculate gradient thresholds.

    Enum: auto, manual

    Continuous gradient settings.

    Example
    {
      "thresholdsMode": "auto",
      "leftThreshold": "example",
      "middleThreshold": "example",
      "rightThreshold": "example",
      "gradientPalette": "example",
      "gradientMode": "2-point",
      "reversed": true,
      "nullMode": "ignore"
    }
    

    isContinuous

    Type: boolean

    Whether to use continuous instead of discrete coloring.

    paletteState

    Type: object

    mountedColors

    Type: object

    [additional]

    Type: string

    Example: example

    Mapping of field values to colors.

    Example
    {}
    

    palette

    Type: string

    Color palette identifier.

    Example: example

    Discrete palette settings.

    Example
    {
      "mountedColors": {},
      "palette": "example"
    }
    

    Background color configuration.

    Example
    {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
    

    settingsId

    Type: string

    Identifier of the background color settings.

    Example: example

    Conditional background settings.

    Example
    {
      "enabled": true,
      "colorFieldGuid": "example",
      "settingsId": "example",
      "settings": {
        "paletteState": {
          "mountedColors": {},
          "palette": "example"
        },
        "gradientState": {
          "thresholdsMode": "auto",
          "leftThreshold": "example",
          "middleThreshold": "example",
          "rightThreshold": "example",
          "gradientPalette": "example",
          "gradientMode": "2-point",
          "reversed": true,
          "nullMode": "ignore"
        },
        "isContinuous": true
      }
    }
    

    barsSettings

    Type: object

    align

    Type: string

    Bar alignment within table cells.

    Enum: left, right, default

    colorSettings

    One of 3 types
    • Type: object

      colorType

      Type: string

      Use a gradient to color bars.

      Const: gradient

      Example: example

      settings

      Type: object

      gradientType

      Type: string

      Gradient type.

      Enum: 2-point, 3-point

      thresholds

      One of 2 types
      • Type: object

        mode

        Type: string

        Calculate gradient thresholds automatically.

        Const: auto

        Example: example

        Example
        {
          "mode": "auto"
        }
        
      • Type: object

        max

        Type: string

        Upper gradient threshold.

        Example: example

        min

        Type: string

        Lower gradient threshold.

        Example: example

        mode

        Type: string

        Use manually specified gradient thresholds.

        Const: manual

        Example: example

        mid

        Type: string

        Middle gradient threshold.

        Example: example

        Example
        {
          "mode": "manual",
          "min": "example",
          "mid": "example",
          "max": "example"
        }
        

      Thresholds that define the gradient color scale.

      Example
      {
        "mode": "auto"
      }
      

      palette

      Type: string

      Color palette identifier.

      Example: example

      reversed

      Type: boolean

      Whether to reverse the color palette.

      Gradient bar color settings.

      Example
      {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
      
      Example
      {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {
            "mode": "auto"
          },
          "palette": "example",
          "reversed": true
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use one color for all bars.

      Const: one-color

      Example: example

      settings

      Type: object

      color

      Type: string

      Custom bar color.

      Example: example

      colorIndex

      Type: number

      Selected color index in the palette.

      palette

      Type: string

      Color palette identifier.

      Example: example

      Single-color bar settings.

      Example
      {
        "palette": "example",
        "colorIndex": 0.5,
        "color": "example"
      }
      
      Example
      {
        "colorType": "one-color",
        "settings": {
          "palette": "example",
          "colorIndex": 0.5,
          "color": "example"
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use separate colors for negative and positive bars.

      Const: two-color

      Example: example

      settings

      Type: object

      negativeColor

      Type: string

      Custom color for negative values.

      Example: example

      negativeColorIndex

      Type: number

      Palette color index for negative values.

      palette

      Type: string

      Color palette identifier.

      Example: example

      positiveColor

      Type: string

      Custom color for positive values.

      Example: example

      positiveColorIndex

      Type: number

      Palette color index for positive values.

      Two-color bar settings.

      Example
      {
        "palette": "example",
        "negativeColorIndex": 0.5,
        "negativeColor": "example",
        "positiveColorIndex": 0.5,
        "positiveColor": "example"
      }
      
      Example
      {
        "colorType": "two-color",
        "settings": {
          "palette": "example",
          "negativeColorIndex": 0.5,
          "negativeColor": "example",
          "positiveColorIndex": 0.5,
          "positiveColor": "example"
        }
      }
      

    Bar color settings.

    Example
    {
      "colorType": "gradient",
      "settings": {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
    }
    

    enabled

    Type: boolean

    Whether to display bars in table cells.

    scale

    One of 2 types
    • Type: object

      mode

      Type: string

      Calculate the bar scale automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Use a manually specified bar scale.

      Const: manual

      Example: example

      settings

      Type: object

      max

      Type: string

      Manual maximum scale value.

      Example: example

      min

      Type: string

      Manual minimum scale value.

      Example: example

      Manual bar scale boundaries.

      Example
      {
        "min": "example",
        "max": "example"
      }
      
      Example
      {
        "mode": "manual",
        "settings": {
          "min": "example",
          "max": "example"
        }
      }
      

    Scale used to calculate bar lengths.

    Example
    {
      "mode": "auto"
    }
    

    showBarsInTotals

    Type: boolean

    Whether to display bars in total rows.

    showLabels

    Type: boolean

    Whether to display values over bars.

    In-cell bar settings.

    Example
    {
      "enabled": true,
      "colorSettings": {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {},
          "palette": "example",
          "reversed": true
        }
      },
      "showLabels": true,
      "align": "left",
      "scale": {
        "mode": "auto"
      },
      "showBarsInTotals": true
    }
    

    columnSettings

    Type: object

    width

    One of 3 types
    • Type: object

      mode

      Type: string

      Calculate the column width automatically.

      Const: auto

      Example: example

      Example
      {
        "mode": "auto"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width as a percentage.

      Const: percent

      Example: example

      value

      Type: string

      Column width percentage.

      Example: example

      Example
      {
        "mode": "percent",
        "value": "example"
      }
      
    • Type: object

      mode

      Type: string

      Set the column width in pixels.

      Const: pixel

      Example: example

      value

      Type: string

      Column width in pixels.

      Example: example

      Example
      {
        "mode": "pixel",
        "value": "example"
      }
      

    Table column width settings.

    Example
    {
      "mode": "auto"
    }
    

    horizontalAlignment

    Type: string

    Horizontal alignment of values in the column.

    Enum: auto, start, center, end

    Table column settings.

    Example
    {
      "width": {
        "mode": "auto"
      },
      "horizontalAlignment": "auto"
    }
    

    fakeTitle

    Type: string

    Chart-local display title override for the field.

    Example: example

    format

    Type: string

    Date or datetime format, separate from numeric formatting.

    Example: example

    formatting

    Type: object

    format

    Type: string

    Number formatting mode.

    Enum: number, percent

    labelMode

    Type: string

    How the formatted label is displayed.

    Enum: absolute, percent

    postfix

    Type: string

    Text displayed after the formatted value.

    Example: example

    precision

    Type: number

    Number of decimal places to display.

    prefix

    Type: string

    Text displayed before the formatted value.

    Example: example

    showRankDelimiter

    Type: boolean

    Whether to separate digit groups in numbers.

    unit

    Type: string

    Unit used to scale the numeric value.

    Enum: auto, k, m, b, t

    Numeric formatting settings for the field.

    Example
    {
      "format": "number",
      "showRankDelimiter": true,
      "prefix": "example",
      "postfix": "example",
      "unit": "auto",
      "precision": 0.5,
      "labelMode": "absolute"
    }
    

    hideLabelMode

    Type: string

    Whether to hide the field label.

    Enum: show, hide

    hintSettings

    Type: object

    enabled

    Type: boolean

    Whether the field hint is enabled.

    text

    Type: string

    Hint text displayed for the field.

    Example: example

    Field hint settings.

    Example
    {
      "enabled": true,
      "text": "example"
    }
    

    markupType

    Type: string

    Markup type used to render field values.

    Enum: none, md, html

    subTotalsSettings

    Type: object

    enabled

    Type: boolean

    Whether to display subtotals for the field.

    Subtotal settings.

    Example
    {
      "enabled": true
    }
    
    Example
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {
        "format": "number",
        "showRankDelimiter": true,
        "prefix": "example",
        "postfix": "example",
        "unit": "auto",
        "precision": 0.5,
        "labelMode": "absolute"
      },
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {
        "enabled": true,
        "colorSettings": {
          "colorType": "gradient",
          "settings": {
            "gradientType": "2-point",
            "thresholds": null,
            "palette": "example",
            "reversed": true
          }
        },
        "showLabels": true,
        "align": "left",
        "scale": {
          "mode": "auto"
        },
        "showBarsInTotals": true
      },
      "subTotalsSettings": {
        "enabled": true
      },
      "backgroundSettings": {
        "enabled": true,
        "colorFieldGuid": "example",
        "settingsId": "example",
        "settings": {
          "paletteState": {
            "mountedColors": {},
            "palette": "example"
          },
          "gradientState": {
            "thresholdsMode": "auto",
            "leftThreshold": "example",
            "middleThreshold": "example",
            "rightThreshold": "example",
            "gradientPalette": "example",
            "gradientMode": "2-point",
            "reversed": true,
            "nullMode": "ignore"
          },
          "isContinuous": true
        }
      },
      "columnSettings": {
        "width": {
          "mode": "auto"
        },
        "horizontalAlignment": "auto"
      },
      "hintSettings": {
        "enabled": true,
        "text": "example"
      },
      "title": "Measure Values",
      "type": "PSEUDO",
      "data_type": "float"
    }
    
Example
{
  "fakeTitle": "example",
  "markupType": "none",
  "formatting": {
    "format": "number",
    "showRankDelimiter": true,
    "prefix": "example",
    "postfix": "example",
    "unit": "auto",
    "precision": 0.5,
    "labelMode": "absolute"
  },
  "format": "example",
  "hideLabelMode": "show",
  "barsSettings": {
    "enabled": true,
    "colorSettings": {
      "colorType": "gradient",
      "settings": {}
    },
    "showLabels": true,
    "align": "left",
    "scale": {
      "mode": "auto"
    },
    "showBarsInTotals": true
  },
  "subTotalsSettings": {
    "enabled": true
  },
  "backgroundSettings": {
    "enabled": true,
    "colorFieldGuid": "example",
    "settingsId": "example",
    "settings": {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
  },
  "columnSettings": {
    "width": {
      "mode": "auto"
    },
    "horizontalAlignment": "auto"
  },
  "hintSettings": {
    "enabled": true,
    "text": "example"
  },
  "guid": "example",
  "title": "example",
  "data_type": "hierarchy",
  "fields": [
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {
        "format": "number",
        "showRankDelimiter": true,
        "prefix": "example",
        "postfix": "example",
        "unit": "auto",
        "precision": 0.5,
        "labelMode": "absolute"
      },
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {
        "enabled": true,
        "colorSettings": null,
        "showLabels": true,
        "align": "left",
        "scale": null,
        "showBarsInTotals": true
      },
      "subTotalsSettings": {
        "enabled": true
      },
      "backgroundSettings": {
        "enabled": true,
        "colorFieldGuid": "example",
        "settingsId": "example",
        "settings": {}
      },
      "columnSettings": {
        "width": null,
        "horizontalAlignment": "auto"
      },
      "hintSettings": {
        "enabled": true,
        "text": "example"
      },
      "guid": "example",
      "datasetId": "example"
    }
  ]
}

WizardV1LineShapeSettingsSchemaWizardV1LineShapeSettingsSchema

Name

Description

linecap

Type: string

Shape used at line endpoints.

Enum: butt, round, square, none

linejoin

Type: string

Shape used at line segment joins.

Enum: bevel, round, miter, unset

lineWidth

Any of 2 types
  • Type: number

  • Type: string

    Const: auto

    Example: example

Line width in pixels or automatic width.

Example: 0.5

Example
{
  "lineWidth": 0.5,
  "linecap": "butt",
  "linejoin": "bevel"
}

WizardLabelsItemSchemaWizardLabelsItemSchema

All of 2 types
  • Type: WizardFieldSchema

    Example
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {
        "format": "number",
        "showRankDelimiter": true,
        "prefix": "example",
        "postfix": "example",
        "unit": "auto",
        "precision": 0.5,
        "labelMode": "absolute"
      },
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {
        "enabled": true,
        "colorSettings": {
          "colorType": "gradient",
          "settings": {}
        },
        "showLabels": true,
        "align": "left",
        "scale": {
          "mode": "auto"
        },
        "showBarsInTotals": true
      },
      "subTotalsSettings": {
        "enabled": true
      },
      "backgroundSettings": {
        "enabled": true,
        "colorFieldGuid": "example",
        "settingsId": "example",
        "settings": {
          "paletteState": {
            "mountedColors": {},
            "palette": "example"
          },
          "gradientState": {
            "thresholdsMode": "auto",
            "leftThreshold": "example",
            "middleThreshold": "example",
            "rightThreshold": "example",
            "gradientPalette": "example",
            "gradientMode": "2-point",
            "reversed": true,
            "nullMode": "ignore"
          },
          "isContinuous": true
        }
      },
      "columnSettings": {
        "width": {
          "mode": "auto"
        },
        "horizontalAlignment": "auto"
      },
      "hintSettings": {
        "enabled": true,
        "text": "example"
      },
      "guid": "example",
      "title": "example",
      "data_type": "hierarchy",
      "fields": [
        {
          "fakeTitle": "example",
          "markupType": "none",
          "formatting": {
            "format": "number",
            "showRankDelimiter": true,
            "prefix": "example",
            "postfix": "example",
            "unit": "auto",
            "precision": 0.5,
            "labelMode": "absolute"
          },
          "format": "example",
          "hideLabelMode": "show",
          "barsSettings": {
            "enabled": true,
            "colorSettings": null,
            "showLabels": true,
            "align": "left",
            "scale": null,
            "showBarsInTotals": true
          },
          "subTotalsSettings": {
            "enabled": true
          },
          "backgroundSettings": {
            "enabled": true,
            "colorFieldGuid": "example",
            "settingsId": "example",
            "settings": {}
          },
          "columnSettings": {
            "width": null,
            "horizontalAlignment": "auto"
          },
          "hintSettings": {
            "enabled": true,
            "text": "example"
          },
          "guid": "example",
          "datasetId": "example"
        }
      ]
    }
    
  • Type: object

    labelPercentageBase

    Type: string

    Base used to calculate percentage labels.

    Enum: auto, first, previous

    Example
    {
      "labelPercentageBase": "auto"
    }
    
Example
{
  "fakeTitle": "example",
  "markupType": "none",
  "formatting": {
    "format": "number",
    "showRankDelimiter": true,
    "prefix": "example",
    "postfix": "example",
    "unit": "auto",
    "precision": 0.5,
    "labelMode": "absolute"
  },
  "format": "example",
  "hideLabelMode": "show",
  "barsSettings": {
    "enabled": true,
    "colorSettings": {},
    "showLabels": true,
    "align": "left",
    "scale": {},
    "showBarsInTotals": true
  },
  "subTotalsSettings": {
    "enabled": true
  },
  "backgroundSettings": {
    "enabled": true,
    "colorFieldGuid": "example",
    "settingsId": "example",
    "settings": {
      "paletteState": {},
      "gradientState": {},
      "isContinuous": true
    }
  },
  "columnSettings": {
    "width": {},
    "horizontalAlignment": "auto"
  },
  "hintSettings": {
    "enabled": true,
    "text": "example"
  },
  "guid": "example",
  "title": "example",
  "data_type": "hierarchy",
  "fields": [
    {
      "fakeTitle": "example",
      "markupType": "none",
      "formatting": {},
      "format": "example",
      "hideLabelMode": "show",
      "barsSettings": {},
      "subTotalsSettings": {},
      "backgroundSettings": {},
      "columnSettings": {},
      "hintSettings": {},
      "guid": "example",
      "datasetId": "example"
    }
  ],
  "labelPercentageBase": "auto"
}

WizardPseudoFieldSchemaWizardPseudoFieldSchema

Any of 2 types
  • Type: object

    data_type

    Type: string

    String data type of the Measure Names pseudo-field.

    Const: string

    Example: example

    title

    Type: string

    Title identifying the Measure Names pseudo-field.

    Const: Measure Names

    Example: example

    type

    Type: string

    Field type identifying a pseudo-field.

    Const: PSEUDO

    Example: example

    backgroundSettings

    Type: object

    colorFieldGuid

    Type: string

    Identifier of the field used to color the background.

    Example: example

    enabled

    Type: boolean

    Whether conditional background coloring is enabled.

    settings

    Type: object

    gradientState

    Type: object

    gradientMode

    Type: string

    Gradient type.

    Enum: 2-point, 3-point

    gradientPalette

    Type: string

    Gradient palette identifier.

    Example: example

    leftThreshold

    Type: string

    Lower gradient threshold.

    Example: example

    middleThreshold

    Type: string

    Middle gradient threshold.

    Example: example

    nullMode

    Type: string

    How null values are colored.

    Enum: ignore, as-0

    reversed

    Type: boolean

    Whether to reverse the gradient palette.

    rightThreshold

    Type: string

    Upper gradient threshold.

    Example: example

    thresholdsMode

    Type: string

    Mode used to calculate gradient thresholds.

    Enum: auto, manual

    Continuous gradient settings.

    Example
    {
      "thresholdsMode": "auto",
      "leftThreshold": "example",
      "middleThreshold": "example",
      "rightThreshold": "example",
      "gradientPalette": "example",
      "gradientMode": "2-point",
      "reversed": true,
      "nullMode": "ignore"
    }
    

    isContinuous

    Type: boolean

    Whether to use continuous instead of discrete coloring.

    paletteState

    Type: object

    mountedColors

    Type: object

    [additional]

    Type: string

    Example: example

    Mapping of field values to colors.

    Example
    {}
    

    palette

    Type: string

    Color palette identifier.

    Example: example

    Discrete palette settings.

    Example
    {
      "mountedColors": {},
      "palette": "example"
    }
    

    Background color configuration.

    Example
    {
      "paletteState": {
        "mountedColors": {},
        "palette": "example"
      },
      "gradientState": {
        "thresholdsMode": "auto",
        "leftThreshold": "example",
        "middleThreshold": "example",
        "rightThreshold": "example",
        "gradientPalette": "example",
        "gradientMode": "2-point",
        "reversed": true,
        "nullMode": "ignore"
      },
      "isContinuous": true
    }
    

    settingsId

    Type: string

    Identifier of the background color settings.

    Example: example

    Conditional background settings.

    Example
    {
      "enabled": true,
      "colorFieldGuid": "example",
      "settingsId": "example",
      "settings": {
        "paletteState": {
          "mountedColors": {},
          "palette": "example"
        },
        "gradientState": {
          "thresholdsMode": "auto",
          "leftThreshold": "example",
          "middleThreshold": "example",
          "rightThreshold": "example",
          "gradientPalette": "example",
          "gradientMode": "2-point",
          "reversed": true,
          "nullMode": "ignore"
        },
        "isContinuous": true
      }
    }
    

    barsSettings

    Type: object

    align

    Type: string

    Bar alignment within table cells.

    Enum: left, right, default

    colorSettings

    One of 3 types
    • Type: object

      colorType

      Type: string

      Use a gradient to color bars.

      Const: gradient

      Example: example

      settings

      Type: object

      gradientType

      Type: string

      Gradient type.

      Enum: 2-point, 3-point

      thresholds

      One of 2 types
      • Type: object

        mode

        Type: string

        Calculate gradient thresholds automatically.

        Const: auto

        Example: example

        Example
        {
          "mode": "auto"
        }
        
      • Type: object

        max

        Type: string

        Upper gradient threshold.

        Example: example

        min

        Type: string

        Lower gradient threshold.

        Example: example

        mode

        Type: string

        Use manually specified gradient thresholds.

        Const: manual

        Example: example

        mid

        Type: string

        Middle gradient threshold.

        Example: example

        Example
        {
          "mode": "manual",
          "min": "example",
          "mid": "example",
          "max": "example"
        }
        

      Thresholds that define the gradient color scale.

      Example
      {
        "mode": "auto"
      }
      

      palette

      Type: string

      Color palette identifier.

      Example: example

      reversed

      Type: boolean

      Whether to reverse the color palette.

      Gradient bar color settings.

      Example
      {
        "gradientType": "2-point",
        "thresholds": {
          "mode": "auto"
        },
        "palette": "example",
        "reversed": true
      }
      
      Example
      {
        "colorType": "gradient",
        "settings": {
          "gradientType": "2-point",
          "thresholds": {
            "mode": "auto"
          },
          "palette": "example",
          "reversed": true
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use one color for all bars.

      Const: one-color

      Example: example

      settings

      Type: object

      color

      Type: string

      Custom bar color.

      Example: example

      colorIndex

      Type: number

      Selected color index in the palette.

      palette

      Type: string

      Color palette identifier.

      Example: example

      Single-color bar settings.

      Example
      {
        "palette": "example",
        "colorIndex": 0.5,
        "color": "example"
      }
      
      Example
      {
        "colorType": "one-color",
        "settings": {
          "palette": "example",
          "colorIndex": 0.5,
          "color": "example"
        }
      }
      
    • Type: object

      colorType

      Type: string

      Use separate colors for negative and positive bars.

      Const: two-color

      Example: example

      settings

      Type: object

      negativeColor

      Type: string

      Custom color for negative values.

      Example: example

      negativeColorIndex

      Type: number

      Palette color index for negative values.

      palette

      Type: string

      Color palette identifier.

      Example: example

      positiveColor

      Type: string

      Custom color for positive values.

      Example: example

      positiveColorIndex

      Type: number

      Palette color index for positive values.

      Two-color bar settings.

      Example
      {
        "palette": "example",
        "negativeColorIndex": 0.5,
        "negativeColor": "example",
        "positiveColorIndex": 0.5,
[...]
